Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
3686e55d
Commit
3686e55d
authored
Jul 04, 2016
by
Wojciech Tyczynski
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Remove cmd/integration test
parent
37edcc82
Expand all
Hide whitespace changes
Inline
Side-by-side
Showing
4 changed files
with
1 addition
and
17 deletions
+1
-17
integration.go
cmd/integration/integration.go
+0
-0
testing.md
docs/devel/testing.md
+1
-2
golang.sh
hack/lib/golang.sh
+0
-1
test-integration.sh
hack/test-integration.sh
+0
-14
No files found.
cmd/integration/integration.go
deleted
100644 → 0
View file @
37edcc82
This diff is collapsed.
Click to expand it.
docs/devel/testing.md
View file @
3686e55d
...
@@ -226,8 +226,7 @@ hack/test-integration.sh # Run all integration tests.
...
@@ -226,8 +226,7 @@ hack/test-integration.sh # Run all integration tests.
```
```
This script runs the golang tests in package
This script runs the golang tests in package
[
`test/integration`
](
../../test/integration/
)
[
`test/integration`
](
../../test/integration/
)
.
and a special watch cache test in
`cmd/integration/integration.go`
.
### Run a specific integration test
### Run a specific integration test
...
...
hack/lib/golang.sh
View file @
3686e55d
...
@@ -109,7 +109,6 @@ readonly KUBE_CLIENT_BINARIES_WIN=("${KUBE_CLIENT_BINARIES[@]/%/.exe}")
...
@@ -109,7 +109,6 @@ readonly KUBE_CLIENT_BINARIES_WIN=("${KUBE_CLIENT_BINARIES[@]/%/.exe}")
# The set of test targets that we are building for all platforms
# The set of test targets that we are building for all platforms
kube::golang::test_targets
()
{
kube::golang::test_targets
()
{
local
targets
=(
local
targets
=(
cmd/integration
cmd/gendocs
cmd/gendocs
cmd/genkubedocs
cmd/genkubedocs
cmd/genman
cmd/genman
...
...
hack/test-integration.sh
View file @
3686e55d
...
@@ -14,10 +14,6 @@
...
@@ -14,10 +14,6 @@
# See the License for the specific language governing permissions and
# See the License for the specific language governing permissions and
# limitations under the License.
# limitations under the License.
# any command line arguments will be passed to hack/build_go.sh to build the
# cmd/integration binary. --use_go_build is a legitimate argument, as are
# any other build time arguments.
set
-o
errexit
set
-o
errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
...
@@ -60,14 +56,6 @@ runTests() {
...
@@ -60,14 +56,6 @@ runTests() {
KUBE_TEST_API_VERSIONS
=
"
$1
"
\
KUBE_TEST_API_VERSIONS
=
"
$1
"
\
"
${
KUBE_ROOT
}
/hack/test-go.sh"
test
/integration
"
${
KUBE_ROOT
}
/hack/test-go.sh"
test
/integration
# Run the watch cache tests
# KUBE_TEST_ARGS doesn't mean anything to the watch cache test.
if
[[
-z
"
${
KUBE_TEST_ARGS
}
"
]]
;
then
kube::log::status
"Running integration test scenario with watch cache on"
KUBE_TEST_API_VERSIONS
=
"
$1
"
"
${
KUBE_OUTPUT_HOSTBIN
}
/integration"
--v
=
${
LOG_LEVEL
}
\
--max-concurrency
=
"
${
KUBE_INTEGRATION_TEST_MAX_CONCURRENCY
}
"
--watch-cache
=
true
fi
cleanup
cleanup
}
}
...
@@ -81,8 +69,6 @@ checkEtcdOnPath() {
...
@@ -81,8 +69,6 @@ checkEtcdOnPath() {
checkEtcdOnPath
checkEtcdOnPath
"
${
KUBE_ROOT
}
/hack/build-go.sh"
"
$@
"
cmd/integration
# Run cleanup to stop etcd on interrupt or other kill signal.
# Run cleanup to stop etcd on interrupt or other kill signal.
trap
cleanup EXIT
trap
cleanup EXIT
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment